Bug 174683 - CVE-2005-3962 Perl integer overflow issue
CVE-2005-3962 Perl integer overflow issue
Status: CLOSED ERRATA
Product: Red Hat Enterprise Linux 4
Classification: Red Hat
Component: perl (Show other bugs)
4.0
All Linux
medium Severity medium
: ---
: ---
Assigned To: Jason Vas Dias
David Lawrence
impact=moderate,source=fulldisclosure...
: Security
Depends On:
Blocks: 168429 174717
  Show dependency treegraph
 
Reported: 2005-12-01 08:32 EST by Josh Bressers
Modified: 2007-11-30 17:07 EST (History)
3 users (show)

See Also:
Fixed In Version: RHSA-2005-880
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2005-12-20 09:31:43 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)
Proposed patch (392 bytes, patch)
2005-12-01 08:39 EST, Josh Bressers
no flags Details | Diff
upstream patch #26240 for this issue (1.77 KB, patch)
2005-12-01 12:27 EST, Jason Vas Dias
no flags Details | Diff
Latest upstream patch for this issue for perl 5.8.4 - 5.8.7 (8.90 KB, patch)
2005-12-13 16:35 EST, Jason Vas Dias
no flags Details | Diff
All the current upstream patches for this issue (40.00 KB, application/octet-stream)
2005-12-13 16:40 EST, Jason Vas Dias
no flags Details

  None (edit)
Description Josh Bressers 2005-12-01 08:32:24 EST
Perl integer overflow issue

There exists an integer overflow problem in Perl which can lead to a
string format issue.  If a large enough integer is supplied to a
printf statement which uses the %n conversion, it may be possible to
execute arbitrary code.  This problem will not be easy to remotely
exploit as a very poorly written script will first be needed.

http://marc.theaimsgroup.com/?l=full-disclosure&m=113342788118630&w=2

Doesn't Affec: RHEL2.1 

This issue also affects RHEL3
Comment 1 Josh Bressers 2005-12-01 08:39:02 EST
Created attachment 121682 [details]
Proposed patch
Comment 2 Jason Vas Dias 2005-12-01 12:27:13 EST
Created attachment 121695 [details]
upstream patch #26240 for this issue
Comment 3 Jason Vas Dias 2005-12-01 12:28:40 EST
Now applying to perl-5.8.5-18.RHEL4
Comment 4 Jason Vas Dias 2005-12-01 14:48:08 EST
Fixed with perl-5.8.5-18.RHEL4
Comment 8 Jason Vas Dias 2005-12-13 16:35:02 EST
Created attachment 122197 [details]
Latest upstream patch for this issue for perl 5.8.4 - 5.8.7
Comment 9 Jason Vas Dias 2005-12-13 16:40:48 EST
Created attachment 122198 [details]
All the current upstream patches for this issue

Upstream patches 26282 26283 26284 26322 26331 26333 for this issue.
Comment 10 Jason Vas Dias 2005-12-13 16:43:32 EST
PARTIALLY fixed with  perl-5.8.5-18.RHEL4;  patches 26282 26283 26284 applied
with perl-5.8.5-20 ; now generating perl-5.8.5-22 with what I hope will be
the FINAL upstream patches 26322 26331 26333 for this issue.
Comment 12 Fedora Update System 2005-12-14 15:32:27 EST
From User-Agent: XML-RPC

perl-5.8.5-22.FC3 has been pushed for FC3, which should resolve this issue.  If these problems are still present in this version, then please make note of it in this bug report.
Comment 14 Red Hat Bugzilla 2005-12-20 09:31:44 EST
An advisory has been issued which should help the problem
described in this bug report. This report is therefore being
closed with a resolution of ERRATA. For more information
on the solution and/or where to find the updated files,
please follow the link below. You may reopen this bug report
if the solution does not work for you.

http://rhn.redhat.com/errata/RHSA-2005-880.html

Note You need to log in before you can comment on or make changes to this bug.